%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 19

%global python_major python%{py_major}

%global pkgname pytest-html-reporter

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        0.2.9
Release:        1
Summary:        Pytest plugin for generating static HTML reports
License:        MIT
URL:            https://github.com/prashanth-sams/pytest-html-reporter
Source0:        https://files.pythonhosted.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:	%{python_major}-pillow >= 10.3.0
Requires:	%{python_major}-pytest >= 5.3.1

%description

A plugin for pytest that generates a static html report based on pytest framework.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-pillow >= 10.3.0
Requires:      python3-pytest >= 5.3.1

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
pip%{py_major} install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

export PYTHONPATH="${RPM_BUILD_ROOT}%{python3_sitearch}"
%{python_major} setup.py test || true

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Thu Sep 05 2024 Reshma V Kumar <reskumar@in.ibm.com> - 0.2.9-1
- Initial port for AIX Toolbox
